class Student {
    public int stu_no;                               // 学号
    public String stu_name;                          // 学生姓名
    public String specialty;                           // 专业
    Student() { 
        System.out.print("create a student");
    }
    Student(String name) {
        this();                                     // 调用当前类的无参构造方法
        System.out.print("：" + name);
    }
}
public class GraduateStudent extends Student {
    public String tutor;                             
    public String spec_direction;                     
    GraduateStudent(String name) {
        super(name);                               // 调用父类的有参构造方法
        System.out.println(",  he is a graduateStudent");
    }
    GraduateStudent(String name, String tutor, String spec) {
        this(name);                                // 调用当前类的无参构造方法
        System.out.println("his tutor：" + tutor + ", his specialty direction："+ spec);
    }
    public static void main(String[] args) {
        GraduateStudent stu1 = new GraduateStudent("John");
        GraduateStudent stu2 = new GraduateStudent("Tom", "Bill", "computer");
    }
}
